﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Resources.Appearance;

namespace UltraChartScatterChart_2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            dt.Columns.Add("Month", typeof(DateTime));
            dt.Columns.Add("MonthLab", typeof(string));
            dt.Columns.Add("2010", typeof(double));
            dt.Columns.Add("2011", typeof(double));
            dt.Columns.Add("2012", typeof(double));

            dt.Rows.Add(DateTime.Today, "Jul", 10, 50, 30);
            dt.Rows.Add(DateTime.Today.AddMonths(1), "Aug", 20, 35, 20);
            dt.Rows.Add(DateTime.Today.AddMonths(2), "Sep", 40, 60, 50);
            dt.Rows.Add(DateTime.Today.AddMonths(3), "Nov", 15, 40, 30);
            dt.Rows.Add(DateTime.Today.AddMonths(4), "Dec", 20, 35, null);
            dt.Rows.Add(DateTime.Today.AddMonths(5), "Jan", 20, 25, null);
            dt.Rows.Add(DateTime.Today.AddMonths(6), "Feb", 10, 50, null);
            dt.Rows.Add(DateTime.Today.AddMonths(7), "Mar", 20, 35, null);
            dt.Rows.Add(DateTime.Today.AddMonths(8), "Apr", 40, 60, null);
            dt.Rows.Add(DateTime.Today.AddMonths(9), "May", 15, 40, null);
            dt.Rows.Add(DateTime.Today.AddMonths(10), "Jun", 20, 35, null);
            dt.Rows.Add(DateTime.Today.AddMonths(11), "Jul", 20, 25, null);


            NumericTimeSeries series1 = new NumericTimeSeries();
            series1.Label = "Year 2010";
            series1.DataBind(dt, "Month", "2010", "MonthLab");
            series1.PEs.Add(new PaintElement(Color.Blue));
            ultraChart1.Series.Add(series1);

            NumericTimeSeries series2 = new NumericTimeSeries();
            series2.Label = "Year 2011";
            series2.DataBind(dt, "Month", "2011", "MonthLab");
            series2.PEs.Add(new PaintElement(Color.Red));
            ultraChart1.Series.Add(series2);

            NumericTimeSeries series3 = new NumericTimeSeries();
            series3.Label = "Year 2012";
            series3.DataBind(dt, "Month", "2012", "MonthLab");
            series3.PEs.Add(new PaintElement(Color.Yellow));
            ultraChart1.Series.Add(series3);
            
        }
    }
}
